Subject: bug#67150: closed (Re: bug#67150: eglot with typescript language server >= 4.1.0)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 14 Nov 2023 00:11:02 +0000

Your bug report

#67150: eglot with typescript language server >= 4.1.0

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
67150: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=67150
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#67150: eglot with typescript language server >= 4.1.0
From: João Távora <[email-masked]>
To: Rajeev N <[email-masked]>, [email-masked]
Date: Tue, 14 Nov 2023 00:12:24 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, Nov 13, 2023 at 4:57 PM Rajeev N <[email-masked]> wrote:

> GNU Emacs 29.1.90 (build 7, x8664-pc-linux-gnu, GTK+ Version 3.24.38,
> cairo version 1.16.0) of 2023-11-10
>
> ;;; eglot.el — Version: 1.15
>
> I got the info about language Ids from:
>
>
> https://github.com/typescript-language-server/typescript-language-server/issues/794#issuecomment-1807613575
>

Thanks.  In the meantime I asked the server author some questions and
it seems the change has been rolled back, with the server accepting
the old language-ids again.  But I've pushed the change to eglot.el
anyway.  I think this bug can be closed, but let me know if you
disagree.

João

Subject: eglot with typescript language server >= 4.1.0
From: Rajeev N <[email-masked]>
To: [email-masked]
Date: Mon, 13 Nov 2023 11:29:06 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

typescript language server didOpen fails for .tsx with "Cannot open document"

- https://github.com/typescript-language-server/typescript-language-server/issues/794